| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Insert MX vector components
Vector Conversions » Insert vector

## Insert MX vector components
v64mx9 | insert (v64mx9 m, int idx, int exp)
v64mx9 | insert (v64mx9 m, int idx, v4int8 prime)
v128mx9 | insert (v128mx9 m, int idx, v64int8 v)
v128mx9 | insert (v128mx9 m, int idx, v64mx9 v)

## Insert exponent in MX vector
v128mx9 | insert (v128mx9 m, int idx, int exp)
v64mx6 | insert (v64mx6 m, int idx, int expo)
v64mx4 | insert (v64mx4 m, int idx, int expo)

## Insert prime bits in MX vector
v128mx9 | insert (v128mx9 m, int idx, v4int8 prime)

## Insert components in MX vector
v256mx6 | update (v256mx6 s, int idx, v16uint4 m)
v256mx6 | update (v256mx6 s, int idx, v32uint4 m)
v256mx6 | update (v256mx6 s, int idx, int m)
v256mx6 | update (v256mx6 s, int idx, v8int8 m)
v256mx6 | update (v256mx6 s, int idx, v64uint4 m)
v256mx6 | update (v256mx6 s, int idx, v128uint4 m)
v256mx6 | insert (v256mx6 s, int idx, v64mx6 m)
v256mx6 | insert (v256mx6 s, int idx, v128mx6 m)
v256mx4 | update (v256mx4 s, int idx, v16uint4 m)
v256mx4 | update (v256mx4 s, int idx, v32uint4 m)
v256mx4 | update (v256mx4 s, int idx, int m)
v256mx4 | update (v256mx4 s, int idx, v8int8 m)
v256mx4 | update (v256mx4 s, int idx, v64uint4 m)
v256mx4 | update (v256mx4 s, int idx, v128uint4 m)
v256mx4 | insert (v256mx4 s, int idx, v64mx4 m)
v256mx4 | insert (v256mx4 s, int idx, v128mx4 m)
v128mx6 | insert (v128mx6 s, int idx, v64mx6 m)
v128mx4 | insert (v128mx4 s, int idx, v64mx4 m)

## Detailed Description

## Function Documentation

## ◆ insert() [1/14]

v128mx4 insert | ( | v128mx4 | s,
|  | int | idx,
|  | v64mx4 | m )

## ◆ insert() [2/14]

v128mx6 insert | ( | v128mx6 | s,
|  | int | idx,
|  | v64mx6 | m )

## ◆ insert() [3/14]

v128mx9 insert | ( | v128mx9 | m,
|  | int | idx,
|  | int | exp )

## ◆ insert() [4/14]

v128mx9 insert | ( | v128mx9 | m,
|  | int | idx,
|  | v4int8 | prime )

## ◆ insert() [5/14]

v128mx9 insert | ( | v128mx9 | m,
|  | int | idx,
|  | v64int8 | v )

## ◆ insert() [6/14]

v128mx9 insert | ( | v128mx9 | m,
|  | int | idx,
|  | v64mx9 | v )

## ◆ insert() [7/14]

v256mx4 insert | ( | v256mx4 | s,
|  | int | idx,
|  | v128mx4 | m )

## ◆ insert() [8/14]

v256mx4 insert | ( | v256mx4 | s,
|  | int | idx,
|  | v64mx4 | m )

## ◆ insert() [9/14]

v256mx6 insert | ( | v256mx6 | s,
|  | int | idx,
|  | v128mx6 | m )

## ◆ insert() [10/14]

v256mx6 insert | ( | v256mx6 | s,
|  | int | idx,
|  | v64mx6 | m )

## ◆ insert() [11/14]

v64mx4 insert | ( | v64mx4 | m,
|  | int | idx,
|  | int | expo )

## ◆ insert() [12/14]

v64mx6 insert | ( | v64mx6 | m,
|  | int | idx,
|  | int | expo )

## ◆ insert() [13/14]

v64mx9 insert | ( | v64mx9 | m,
|  | int | idx,
|  | int | exp )

## ◆ insert() [14/14]

v64mx9 insert | ( | v64mx9 | m,
|  | int | idx,
|  | v4int8 | prime )

## ◆ update() [1/12]

v256mx4 update | ( | v256mx4 | s,
|  | int | idx,
|  | int | m )

## ◆ update() [2/12]

v256mx4 update | ( | v256mx4 | s,
|  | int | idx,
|  | v128uint4 | m )

## ◆ update() [3/12]

v256mx4 update | ( | v256mx4 | s,
|  | int | idx,
|  | v16uint4 | m )

## ◆ update() [4/12]

v256mx4 update | ( | v256mx4 | s,
|  | int | idx,
|  | v32uint4 | m )

## ◆ update() [5/12]

v256mx4 update | ( | v256mx4 | s,
|  | int | idx,
|  | v64uint4 | m )

## ◆ update() [6/12]

v256mx4 update | ( | v256mx4 | s,
|  | int | idx,
|  | v8int8 | m )

## ◆ update() [7/12]

v256mx6 update | ( | v256mx6 | s,
|  | int | idx,
|  | int | m )

## ◆ update() [8/12]

v256mx6 update | ( | v256mx6 | s,
|  | int | idx,
|  | v128uint4 | m )

## ◆ update() [9/12]

v256mx6 update | ( | v256mx6 | s,
|  | int | idx,
|  | v16uint4 | m )

## ◆ update() [10/12]

v256mx6 update | ( | v256mx6 | s,
|  | int | idx,
|  | v32uint4 | m )

## ◆ update() [11/12]

v256mx6 update | ( | v256mx6 | s,
|  | int | idx,
|  | v64uint4 | m )

## ◆ update() [12/12]

v256mx6 update | ( | v256mx6 | s,
|  | int | idx,
|  | v8int8 | m )